////////////////////////////////////////////////////////////////
// jsInvaders - Copyright (c) 2004 Oliver Wilkinson
//
// This software is provided 'as-is', without any express or implied warranty. 
// In no event will the authors be held liable for any damages arising from the use
// of this software.
//
// Permission is granted to anyone to use this software for any purpose, including 
// commercial applications, and to alter it and redistribute it freely, subject 
// to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not claim that you 
// wrote the original software. If you use this software in a product, an acknowledgment 
// in the product documentation would be appreciated but is not required.
//
// 2. Altered source versions must be plainly marked as such, and must not be 
// misrepresented as being the original software.
//
// 3. This notice may not be removed or altered from any source distribution.
//////////////////////////////////////////////////////////////////
//
// jsInvaders is released under the zlib/png license, please see
// <http://opensource.org/licenses/zlib-license.php> for more details
//
// jsInvaders is the accompanying code to the article
// "Creating moddable games with XML and Scripting"
// by Oliver Wilkinson
//
////////////////////////////////////////////////////////////////////

#ifndef __EVO_JSIGAMEDATA_H_INC__
#define __EVO_JSIGAMEDATA_H_INC__

#include "jsInvaders.h"
#include "jsiLevel.h"

namespace evolutionalcouk
{
	namespace jsInvaders
	{
		///////////////////////////////////////////////////////////////////
		// Class:		jsiGameData
		///////////////////////////////////////////////////////////////////
		// Remarks:		This is a small structure that holds the current info
		//				about the game. It is shared between the game and the
		//				renderer
		//
		// History:		18/06/2004 - Added to project
		//
		//
		////////////////////////////////////////////////////////////////////

		typedef struct _jsiGameData
		{
			size_t playerScore;
			int playerLives;
			int playerHealth;

			jsiLevel *currentLevel;

			bool keys[256];

		} jsiGameData;

	}


}


#endif