////////////////////////////////////////////////////////////////
// jsInvaders - Copyright (c) 2004 Oliver Wilkinson
//
// This software is provided 'as-is', without any express or implied warranty. 
// In no event will the authors be held liable for any damages arising from the use
// of this software.
//
// Permission is granted to anyone to use this software for any purpose, including 
// commercial applications, and to alter it and redistribute it freely, subject 
// to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not claim that you 
// wrote the original software. If you use this software in a product, an acknowledgment 
// in the product documentation would be appreciated but is not required.
//
// 2. Altered source versions must be plainly marked as such, and must not be 
// misrepresented as being the original software.
//
// 3. This notice may not be removed or altered from any source distribution.
//////////////////////////////////////////////////////////////////
//
// jsInvaders is released under the zlib/png license, please see
// <http://opensource.org/licenses/zlib-license.php> for more details
//
// jsInvaders is the accompanying code to the article
// "Creating moddable games with XML and Scripting"
// by Oliver Wilkinson
//
////////////////////////////////////////////////////////////////////

#ifndef __EVO_JSIQUAD_H_INC__
#define __EVO_JSIQUAD_H_INC__

#include "jsiVertex.h"

namespace evolutionalcouk
{
	namespace jsInvaders
	{
		///////////////////////////////////////////////////////////////////
		// Class:		jsiQuad
		///////////////////////////////////////////////////////////////////
		// Remarks:		A simple quad declaration - used to define the basic
		//				objects in the game
		//
		//
		// History:		19/06/2004 - Added to project
		//
		//
		////////////////////////////////////////////////////////////////////
		struct jsiQuad
		{
			jsiVertex tl;		// topleft
			jsiVertex tr;		// topright
			jsiVertex br;		// bottomright
			jsiVertex bl;		// bottomleft

			jsiQuad& operator = (const jsiQuad& inQ);
		};
	}

}

#endif
